package coreservlets;

import static org.junit.Assert.*;

import org.junit.*;

public class TestAbreviere {
  @Test
  public void testStatePair() {
    String stateName = "Suceava";
    String stateAbbreviation = "SV";
    StareJudet pair = new StareJudet(stateName, stateAbbreviation);
    assertEquals(stateName, pair.getStateName());
    assertEquals(stateAbbreviation, pair.getStateAbbreviation());
    ServiceAbreviere mapper = new HartaAbreviere();
    assertEquals(mapper.findAbbreviation(stateName), stateAbbreviation);
  }
}
